#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tb.h"

#define TBFNAME "tb.dat"

char tb[TB_N];

extern int tb_main(int argc, char *argv[]);

void tb_exit(void)
{
  FILE *f;
  if (NULL != (f = fopen(TBFNAME, "wb"))) {
    fwrite(tb, 1, TB_N, f);
    fclose(f);
  }
}

int main(int argc, char **argv)
{
  FILE *f;
  if (NULL != (f = fopen(TBFNAME, "rb"))) {
    if (TB_N != fread(tb, 1, TB_N, f)) {
      memset(tb, 0, TB_N);
    }
    fclose(f);
  } else {
    memset(tb, 0, TB_N);
  }    
  atexit(tb_exit);
  return tb_main(argc, argv);
}
