#
# version.sed - extract version string from the changelog
#
# Copyright (C) 2003 Laurent Vogel
#
# This file is distributed under the GPL, version 2 or at your
# option any later version.  See COPYING for details.

1i\
/* generated from changelog.txt */

/^\* *Release: /{
  s///
  s/[ *]*$//
  h
  :out
  G
  # turn to C syntax
  s/["\]/\\&/g
  s/\(.*\)\n\(.*\)/#define SHORTVERSION "\1"\
char version[] = "\2";/
  q
}
/^[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\}/{ 
  s/ *$//
  # create a short version in the hold buf, and the long version 
  # in the pattern space
  h
  s/^..//
  s/[^0-9]//g
  b out
}
# any other line is junk
d

